iManage Records Manager Cloud Service Alert

For iManage Records Manager Cloud customers, please be advised iManage will no longer support connections from desktop clients and applications that are configured to use the Transport Layer Security less than version 1.2 (TLS 1.2). TLS will be the minimum required protocol.

If you are using less than TLS 1.2 and you do not make the change by March 31st, 2020, your IRM Cloud connectivity will stop. Make sure to see the iManage Service Advisory in the iManage Help Center for more details.

If you need your iManage Records Manager software updated or optimized? Please schedule a 10-minute call with me to see what we can do for you.

Leave a Comment

Your email address will not be published. Required fields are marked *